castle-game-engine (7.0~alpha.3+dfsg2-5) unstable; urgency=medium

  [ Paul Gevers ]
  * Restore reproducibility

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 04 Apr 2026 18:39:06 +0200

castle-game-engine (7.0~alpha.3+dfsg2-4) unstable; urgency=medium

  * Fix man page for castle-curves.
  * Overridden wrong Lintian warning about zlib being statically linked.
  * Bumped standard version to 4.7.2.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 07 Apr 2025 21:37:37 +0200

castle-game-engine (7.0~alpha.3+dfsg2-3) unstable; urgency=medium

  * Updated patches meta description.
  * Disabled failing test on armel.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Thu, 13 Feb 2025 09:32:09 +0100

castle-game-engine (7.0~alpha.3+dfsg2-2) unstable; urgency=medium

  * Updated clean file after repacking sources.
  * Fixed dependency on FPC packages. Require version with hardening enabled.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 11 Feb 2025 00:16:07 +0100

castle-game-engine (7.0~alpha.3+dfsg2-1) unstable; urgency=medium

  * Ensure hardening is taken into account on the entire compilation process.
  * Removed unused license from copyright file.
  * Removed warning about unused entry in debian/source/include-binaries file.
  * Exclude binary files upon clean and when importing new upstream release.
  * Removed files not packaged by upstream from copyright exclude section.
  * Repack sources again version 7.0~alpha.3+dfsg2
  * Reset DFSG repack suffix in watch file for next upstream release.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 08 Feb 2025 15:13:33 +0100

castle-game-engine (7.0~alpha.3+dfsg1-12) unstable; urgency=medium

  * Fixed file pattern in copyright file.
  * Removed windows executable files upon clean.
  * Enabled hardening when building CGE.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 07 Feb 2025 19:37:19 +0100

castle-game-engine (7.0~alpha.3+dfsg1-11) unstable; urgency=medium

  * Fixed units path on armel and armhf architecture and cross compilation.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 01 Feb 2025 15:30:58 +0100

castle-game-engine (7.0~alpha.3+dfsg1-10) unstable; urgency=medium

  * Fixed tests on all targets after latest breakage.
  * Fixed Lintian warning about comma in files separated list in copyright.
  * Removed Lintian warning about redundant build prerequisite.
  * Enabled Static-Built-Using: fpc to track changes in FPC libraries.
    This should fix issue where fp-units-rtl get changes and CGE does not
    get recompiled causing issues for users.
    Fixed dependency on FPC ABI as the substitution variable was not replaced.
  * Bumped standard version and FPC version in dependencies.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 19 Jan 2025 16:51:33 +0100

castle-game-engine (7.0~alpha.3+dfsg1-9) unstable; urgency=medium

  * Fixed build on ppc64el.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 17 Jan 2025 14:02:06 +0100

castle-game-engine (7.0~alpha.3+dfsg1-8) unstable; urgency=medium

  * Fixed compilation on ppc64el.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 17 Jan 2025 09:58:51 +0100

castle-game-engine (7.0~alpha.3+dfsg1-7) unstable; urgency=medium

  * Fixed make file to ensure compilation uses packaged FPC RTL.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 13 Jan 2025 10:05:41 +0100

castle-game-engine (7.0~alpha.3+dfsg1-6) unstable; urgency=medium

  * Fixed Debian tests to use new upstream test suite. (Closes: Bug#1092309)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 12 Jan 2025 14:51:32 +0100

castle-game-engine (7.0~alpha.3+dfsg1-5) unstable; urgency=medium

  * Removed wrong chunk in a debian patch file that was added by mistake.
  * Updated copyright file.
  * Fixed dependency on fp-compiler enforcing the right minimal version.
    (Closes: Bug#1092309)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 07 Jan 2025 22:11:05 +0100

castle-game-engine (7.0~alpha.3+dfsg1-4) unstable; urgency=medium

  * Move CGE fp-units to the location recommended by FPC configuration file.
    Units are installed to Debianised location and a configuration file is
    added to FPC system wide configuration directory.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 05 Jan 2025 22:00:06 +0100

castle-game-engine (7.0~alpha.3+dfsg1-3) unstable; urgency=medium

  * Removed dependency of a particular imagemagick version.
    We pick whatever version is installed and it. (Closes: Bug#1089659)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 05 Jan 2025 12:25:59 +0100

castle-game-engine (7.0~alpha.3+dfsg1-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 01 Dec 2024 10:11:31 +0100

castle-game-engine (7.0~alpha.3+dfsg1-2) unstable; urgency=medium

  [ Niels Thykier ]
  * Migrate to debputy.
    Signed-off-by: Niels Thykier <niels@thykier.net>

  [ Abou Al Montacir ]
  * Enabled CI/CD on salsa.
  * Fixed building using fpmake.
    Thanks to Michalis Kamburelis <michalis.kambi@gmail.com>

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 22 Oct 2024 08:26:19 +0200

castle-game-engine (7.0~alpha.3+dfsg1-1) unstable; urgency=medium

  * New upstream version 7.0~alpha.3+dfsg1
  * Updated patches and removed already applied by upstream.
  * Updated rules file after upstream changes.
    Upstream does not define `cleanall` make target anymore.
    Upstream renamed tool `texture-font-to-pascal` replacing dashes by
    underscores.
    Pass fonts path to `mk_fonts.sh` when invoked from rules file.
  * Removed build dependency on inkscape.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 13 Oct 2024 08:37:02 +0200

castle-game-engine (7.0~alpha.2+dfsg1-5) unstable; urgency=medium

  * Applied patch to use local jquery version instead of web based one.
  * Remove statically linked libraries and object files from source package.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 04 Apr 2023 11:08:10 +0200

castle-game-engine (7.0~alpha.2+dfsg1-4) unstable; urgency=medium

  * Fixed compilation on mipsel.
    On mipsel both CPUmips and CPUmipsel are defined by the compiler.
    (Closes: Bug#891683)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 03 Apr 2023 15:07:29 +0200

castle-game-engine (7.0~alpha.2+dfsg1-3) unstable; urgency=medium

  * Removed unused binary files to fix lintian reported errors.
    Removed files are either unused statically liked libraries or some
    supplied windows programs or npm ignore file.
    These files were included in the source packages, but are not useful for
    Debian users.
  * Replaced use of web based jquery.js with debian packaged version.
    Added dependency on libjs-jquery dor documentation package.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 02 Apr 2023 16:44:18 +0200

castle-game-engine (7.0~alpha.2+dfsg1-2) unstable; urgency=medium

  * Fixed build issue on arm64 and ppc64el.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 24 Oct 2022 20:19:14 +0200

castle-game-engine (7.0~alpha.2+dfsg1-1) unstable; urgency=medium

  * Updated watch file and copyright file for importing new release.
  * New upstream version 7.0~alpha.2+dfsg1
  * Updated patches to new upstream release and removed legacy ones.
  * Updated compilation rules to take into account directory renaming.
  * Added a new patch from upstream to fix building documentation.
  * Fix UTF-8 BOM on some source files.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 07 Oct 2022 08:34:14 +0200

castle-game-engine (7.0~alpha.1+dfsg-9) unstable; urgency=medium

  * Update Build-Depends to use libgdk-pixbuf-2.0-dev instead of
    libgdk-pixbuf2.0-dev (Closes: #1019310)
  * Fix several packaging issues (thanks lintian)

 -- Paul Gevers <elbrus@debian.org>  Thu, 08 Sep 2022 19:19:16 +0200

castle-game-engine (7.0~alpha.1+dfsg-8) unstable; urgency=medium

  * Updated CI tests script to fit CGE units new installation directory.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 06 Feb 2022 21:32:05 +0100

castle-game-engine (7.0~alpha.1+dfsg-7) unstable; urgency=medium

  * Fixed CGE compilation on ppc64el architecture.
    Provide FPCDIR to make file so that it could build with right RTL.
  * Moved CGE units to the right FPC units directory.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 06 Feb 2022 11:22:21 +0100

castle-game-engine (7.0~alpha.1+dfsg-6) unstable; urgency=medium

  * Prevent CI tests from failing due to test writes to standard error file.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 05 Feb 2022 11:42:05 +0100

castle-game-engine (7.0~alpha.1+dfsg-5) unstable; urgency=medium

  * Moved CI tests outside rules file.
    Disabled CI tests result for armel until FPC gets fixed.
  * Added tests failing on armel to expected failures on that architecture.
    (Closes: Bug#1002961)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 04 Feb 2022 21:54:07 +0100

castle-game-engine (7.0~alpha.1+dfsg-4) unstable; urgency=medium

  * Fixed files path in copyright file.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 18 Dec 2021 00:33:26 +0100

castle-game-engine (7.0~alpha.1+dfsg-3) unstable; urgency=medium

  * New upstream release 7.0-alpha.1.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 01 Nov 2021 10:53:49 +0100

castle-game-engine (7.0~alpha.1+dfsg-2) experimental; urgency=medium

  * Force dependency on imagemagick-6.q16 in order to fix FTBFS.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 02 May 2021 17:20:42 +0200

castle-game-engine (7.0~alpha.1+dfsg-1) experimental; urgency=medium

  [ Paul Gevers ]
  * New upstream version 7.0-alpha.1
  * Refresh patches
  * Use imagemagick instead of xcf2png for icon conversion (Closes: #982500)
  * Update d/changelog for release 6.4+dfsg1-6
  * Drop deprecated Build-Depends: libgtkglext1-dev
  * Fix FTBFS part 1: b9faa3bc380367eb72de1164f6cc366353a7c1ba.patch
  * Update d/clean with new list of generated pngs + one folder removed
  * Fix FTBFS part 2: debian/patches/51b053087af6ebc9904adf8bab64177ef5cadd1c.patch
  * d/rules: fix location of x3d-nodes-to-pascal

  [ Abou Al Montacir ]
  * Fixed multi-lines build rules in devian/rules file.
  * Update changelog for 7.0-alpha.1-1 release
  * Added libgl1 to build dependencies.
  * Added upstream patch to fix warning when building API docs.
    Thanks to Michalis Kamburelis <michalis.kambi@gmail.com>
  * Force using PasDoc newer than 0.16.0.
  * Update changelog for 7.0-alpha.1-1 release
  * Fixed tests compilation.
    Thanks to Michalis Kamburelis <michalis.kambi@gmail.com>
  * Fixed watch file.
  * Filter out binary shared object libraries when importing sources.
  * New upstream version 7.0~alpha.1+dfsg

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 02 May 2021 12:20:38 +0200

castle-game-engine (6.4+dfsg1-7) unstable; urgency=medium

  * Improve built pngs by using upstream commit bac2e014

 -- Paul Gevers <elbrus@debian.org>  Thu, 18 Feb 2021 11:16:52 +0100

castle-game-engine (6.4+dfsg1-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + castle-game-engine-doc,
    castle-game-engine-src: Add Multi-Arch: foreign.

  [ Paul Gevers ]
  * d/watch: update for pre-releases
  * Use imagemagick instead of xcf2png for icon conversion (Closes:
    #982500)

 -- Paul Gevers <elbrus@debian.org>  Thu, 11 Feb 2021 10:29:56 +0100

castle-game-engine (6.4+dfsg1-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Abou Al Montacir ]
  * Fix compilation with FPC 3.2.0. (Closes: Bug#968120)
    Thanks to Michalis Kamburelis
  * Fixed issue with thread manager initialization in fpmake with FPC 3.2.0.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 10 Aug 2020 17:24:31 +0200

castle-game-engine (6.4+dfsg1-4) unstable; urgency=medium

  [ Olivier Tilloy ]
  * Update runtime dependency on the transitional dummy ttf-dejavu-core
    (which was dropped from unstable) to fonts-dejavu-core (Closes: #961602)

 -- Paul Gevers <elbrus@debian.org>  Thu, 04 Jun 2020 18:41:09 +0200

castle-game-engine (6.4+dfsg1-3) unstable; urgency=medium

  * Add inkscape-dropped--export-png.patch, thanks Lucas Nussbaum for
    reporting Closes: #959582
  * d/control: Add versioned B-D on inkscape
  * d/control: use canonical Vcs-Browser
  * Bump compat (via debhelper-compat) to 13
  * Add d/castle-game-engine-src.lintian-overrides as the issue is only
    with packages build with cge
  * Add lintian override for dh-exec-subst-unknown-variable
  * Drop embedded ttf files that can be (and are) linked from packages
  * Bump standards

 -- Paul Gevers <elbrus@debian.org>  Tue, 05 May 2020 21:48:26 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog castle-game-engine-src`.
